glibmm: Glib::Variant< Glib::ustring > Class Template Reference

glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glib::Variant< Glib::ustring > Class Template Reference
Variant Data Types

Specialization of Variant containing a Glib::ustring, for variants of type string, bytestring, object path, or signature. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::Variant< Glib::ustring >:
[legend]

List of all members.

## Public Types
typedef char* | CType
typedef Glib::ustring | CppType
## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
Glib::ustring | get () const
| Gets the contents of the Variant.
## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the VariantType.
static Variant< Glib::ustring > | create (const Glib::ustring& data)
| Creates a new Variant<Glib::ustring>.

## Detailed Description

### template<>
class Glib::Variant< Glib::ustring >

Specialization of Variant containing a Glib::ustring, for variants of type string, bytestring, object path, or signature.

Since glibmm 2.28:

## Member Typedef Documentation

typedef Glib::ustring Glib::Variant< Glib::ustring >::CppType

Reimplemented from Glib::VariantStringBase.

typedef char* Glib::Variant< Glib::ustring >::CType

Reimplemented from Glib::VariantStringBase.

## Constructor & Destructor Documentation

Glib::Variant< Glib::ustring >::Variant | ( |  | ) |

Default constructor.

Glib::Variant< Glib::ustring >::Variant | ( | GVariant< Glib::ustring >* | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.
  take_a_reference | Whether to take an extra reference of the GVariant or not (not taking one could destroy the GVariant with the wrapper).

## Member Function Documentation

static Variant<Glib::ustring> Glib::Variant< Glib::ustring >::create | ( | const Glib::ustring& | data | ) | `[static]`

Creates a new Variant<Glib::ustring>.

Parameters:

  data | The value of the new Variant.

Returns:
  The new Variant.

Since glibmm 2.28:

Glib::ustring Glib::Variant< Glib::ustring >::get | ( |  | ) | const

Gets the contents of the Variant.

Returns:
  The contents of the Variant.

Since glibmm 2.28:

static const VariantType& Glib::Variant< Glib::ustring >::variant_type | ( |  | ) | `[static]`

Gets the VariantType.

Returns:
  The VariantType.

Since glibmm 2.28: